net.minecraft.network.play.server

## Class S12PacketEntityVelocity

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S12PacketEntityVelocity

-     public class S12PacketEntityVelocity
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S12PacketEntityVelocity()`
    `S12PacketEntityVelocity(Entity p_i45219_1_)`
    `S12PacketEntityVelocity(int p_i45220_1_, double p_i45220_2_, double p_i45220_4_, double p_i45220_6_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149409_f()`
    `int` | `func_149410_e()`
    `int` | `func_149411_d()`
    `int` | `func_149412_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149413_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S12PacketEntityVelocity

          public S12PacketEntityVelocity()

    - #### S12PacketEntityVelocity

          public S12PacketEntityVelocity(Entity p_i45219_1_)

    - #### S12PacketEntityVelocity

          public S12PacketEntityVelocity(int p_i45220_1_,
                                 double p_i45220_2_,
                                 double p_i45220_4_,
                                 double p_i45220_6_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149413_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149412_c

          public int func_149412_c()

    - #### func_149411_d

          public int func_149411_d()

    - #### func_149410_e

          public int func_149410_e()

    - #### func_149409_f

          public int func_149409_f()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`